The Local Feeds Partnership program lets retailers participate in local
inventory ads and free local product listings without having to create their own
primary and local product inventory feeds. Retailers can provide their sales and
inventory information to a trusted data provider that can share that information
with Google. For the list of supported data partners, see
[About the Local Feeds Partnership program](https://support.google.com/merchants/answer/7676652).

You can add local product inventory by uploading a local product inventory feed.

> [!NOTE]
> **Note:** The Local Feeds Partnership API can help you submit your inventory information through an approved third party data provider. Whereas, if you want to submit your inventory information by yourself, you can use the [Inventories sub-API](https://developers.google.com/merchant/api/guides/inventories/overview).

To get your inventory data provider added to the Merchant Center, provide
your details at
[Point-of-Sale Data Provider Feedback to show local product on Google](https://docs.google.com/forms/d/1gGULVx_YGWHwjE46G0LCdiL39XMRND3K3oLh8FyOmyM/viewform).

To learn about the migration from Content API for Shopping, see
[Migrate Local Feeds Partnership](https://developers.google.com/merchant/api/guides/compatibility/local-feeds-partnership).

## Retrieve a retailer's onboarding status

You can use the `lfpMerchantStates.get` method to retrieve the state of the
merchant-level properties related to the Local Feeds Partnership
integration. Based on the provided properties, you can check whether the
integration is working as intended or if any additional action is required.

    GET https://merchantapi.googleapis.com/lfp/v1/accounts/{ACCOUNT_ID}/lfpMerchantStates/{TARGET_MERCHANT_ID}

## Insert an inventory

To insert an inventory, use the following request:

    POST https://merchantapi.googleapis.com/lfp/v1/{PARENT}/lfpInventories:insert

    {
     "availability": "in stock",
     "collectionTime": "2024-01-08T08:00:00Z",
     "contentLanguage": "en",
     "gtin": "gtin",
     "offerId": "{OFFER_ID}",
     "pickupMethod": "buy",
     "pickupSla": "same day",
     "price": {
       "amountMicros": "1000000",
       "currencyCode": "USD"
     },
     "regionCode": "US",
     "storeCode": "{STORE_CODE}",
     "targetAccount": "{TARGET_MERCHANT_ID}"
    }

Replace the following:

- <var class="readonly" translate="no">{PARENT}</var>: The format is `accounts/`<var class="readonly" translate="no">{ACCOUNT_ID}</var>, where <var class="readonly" translate="no">{ACCOUNT_ID}</var> is the unique identifier of the Merchant Center account.
- <var class="readonly" translate="no">{OFFER_ID}</var>: The unique identifier of the product.
- <var class="readonly" translate="no">{STORE_CODE}</var>: The identifier of the merchant's store.
- <var class="readonly" translate="no">{TARGET_MERCHANT_ID}</var>: The account ID of the business you want to submit the inventory for.

You can expect to see the following response:

    {
     "name": "accounts/{ACCOUNT_ID}/lfpInventories/{TARGET_MERCHANT_ID}~{STORE_CODE}~{OFFER_ID}",
     "targetAccount": "{TARGET_MERCHANT_ID}",
     "storeCode": "123",
     "offerId": "{OFFER_ID}",
     "regionCode": "US",
     "contentLanguage": "en",
     "gtin": "gtin",
     "price": {
       "amountMicros": "1000000",
       "currencyCode": "USD"
     },
     "availability": "in stock",
     "collectionTime": "2024-01-08T08:00:00Z",
     "pickupMethod": "buy",
     "pickupSla": "same day",
     "feedLabel": "US"
    }

For more information, see [Method:
accounts.lfpInventories.insert](https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpInventories/insert).

## Insert a sale

To insert a sale, use the following request:

    POST https://merchantapi.googleapis.com/lfp/v1/{PARENT}/lfpSales:insert

    {
     "contentLanguage": "en",
     "gtin": "gtin",
     "offerId": "offerId",
     "price": {
       "amountMicros": "1000000",
       "currencyCode": "USD"
     },
     "quantity": 2,
     "regionCode": "US",
     "saleTime": "2024-01-08T08:00:00Z",
     "storeCode": "123",
     "targetAccount": "{TARGET_MERCHANT_ID}"
    }

Replace the following:

- <var class="readonly" translate="no">{TARGET_MERCHANT_ID}</var>: The account ID of the business to submit the sale for.

You can expect to see the following response:

    {
     "name": "accounts/{ACCOUNT_ID}/lfpSales/{UUID}",
     "targetAccount": "{TARGET_MERCHANT_ID}",
     "storeCode": "123",
     "offerId": "offerId",
     "regionCode": "US",
     "contentLanguage": "en",
     "gtin": "gtin",
     "price": {
       "amountMicros": "1000000",
       "currencyCode": "USD"
     },
     "quantity": "2",
     "saleTime": "2024-01-08T08:00:00Z",
     "uid": "{UUID}",
     "feedLabel": "US"
    }

For more information, see [Method:
accounts.lfpSales.insert](https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpSales/insert)

## Insert a store

To insert a store, use the following request:

    POST https://merchantapi.googleapis.com/lfp/v1/{PARENT}/lfpStores:insert

    {
     "storeAddress": "1600 Amphitheatre Pkwy, Mountain View, CA 94043, USA",
     "storeCode": "{STORE_CODE}",
     "targetAccount": "{TARGET_MERCHANT_ID}"
    }

Replace the following:

- <var class="readonly" translate="no">{STORE_CODE}</var>: A unique identifier of the store.
- <var class="readonly" translate="no">{TARGET_MERCHANT_ID}</var>: The account ID of the business to submit the store for.

You can expect to see the following response:

    {
     "name": "accounts/{ACCOUNT_ID}/lfpStores/{TARGET_MERCHANT_ID}~{STORE_CODE}",
     "targetAccount": "{TARGET_MERCHANT_ID}",
     "storeCode": "{STORE_CODE}",
     "storeAddress": "1600 Amphitheatre Pkwy, Mountain View, CA 94043, USA",
     "matchingState": "STORE_MATCHING_STATE_MATCHED"
    }

For more information, see [`accounts.lfpStores.insert`](https://developers.google.com/merchant/api/reference/rest/lfp_v1/accounts.lfpStores/insert).

## Send a notification to a retailer

You can use the `SendLfpNotification` method to send a notification to a
retailer. For example, you can use this method to send an onboarding
notification to the retailer.

    POST https://merchantapi.googleapis.com/lfp/v1/accounts/{ACCOUNT_ID}/lfpNotifications:send

    {
      "target_account": {TARGETMERCHANT_ID},
      "email_address": {EMAIL_ADDRESS},
      "type": {TYPE}
    }

Replace the following:

- <var class="readonly" translate="no">{ACCOUNT_ID}</var>: The unique identifier of your Merchant Center account.
- <var class="readonly" translate="no">{TARGETMERCHANT_ID}</var>: The unique identifier of the account to which you want to send the notification.
- <var class="readonly" translate="no">{EMAIL_ADDRESS}</var>: The email address of the account to which you want to send the notification.
- <var class="readonly" translate="no">{TYPE}</var>: You can only pass the string value `ONBOARDING_UI` in this field.